<div class="paddingFull paddingBtmMore">
    <div class="marginBtmSec">
        <div class="paddingBtm borderBtm helveticaMed mainNormal marginBtm">Normal Form</div>
        <div class="maxWid5">
            <form>
                <ul class="form marginBtmSec">
                    <li>
                        <div class="tag">Name</div>
                        <input type="text">
                    </li>
                    <li>
                        <div class="tag">Email</div>
                        <input type="email">
                    </li>
                    <li>
                        <div class="tag">Professional</div>
                        <div class="dropDown">
                            <div class="head" data-init="0">
                                <input class="headTitle" type="text" readonly value="St.Engineer">
                            </div>
                            <ul class="list">
                                <li>St.Engineer</li>
                                <li>Business</li>
                                <li>CA</li>
                            </ul>
                        </div>
                    </li>
                    <li>
                        <div class="tag">Languages Known</div>
                        <div class="multiSelect">
                            <div class="head" data-init="0">
                                <input class="headTitle" type="text" readonly value="St.Engineer">
                            </div>
                            <ul class="list">
                                <li>
                                    <label class="disFlexCenter">
                                        <div class="checkbox">
                                            <input type="checkbox">
                                            <div class="box"></div>
                                        </div>
                                        <div class="listName marginLeftSml">Javascript</div>
                                    </label>
                                </li>
                                <li>
                                    <label class="disFlexCenter">
                                        <div class="checkbox">
                                            <input type="checkbox">
                                            <div class="box"></div>
                                        </div>
                                        <div class="listName marginLeftSml">Javascript</div>
                                    </label>
                                </li>
                                <li>
                                    <label class="disFlexCenter">
                                        <div class="checkbox">
                                            <input type="checkbox">
                                            <div class="box"></div>
                                        </div>
                                        <div class="listName marginLeftSml">Javascript</div>
                                    </label>
                                </li>
                            </ul>
                        </div>
                    </li>
                    <li>
                        <div class="tag marginBtmSml">Marital Status</div>
                        <div class="disFlexCenter">
                            <label class="disFlexCenter">
                                <div class="radio">
                                    <input type="radio" name="maritalStatus">
                                    <div class="box"></div>
                                </div>
                                <span class="marginLeftSml">Single</span>
                            </label>
                            <label class="disFlexCenter marginLeft">
                                <div class="radio">
                                    <input type="radio" name="maritalStatus">
                                    <div class="box"></div>
                                </div>
                                <span class="marginLeftSml">Married</span>
                            </label>
                        </div>
                    </li>
                    <li>
                        <div class="tag marginBtmSml">Completed</div>
                        <div class="disFlexCenter">
                            <label class="disFlexCenter">
                                <div class="checkbox">
                                    <input type="checkbox">
                                    <div class="box"></div>
                                </div>
                                <span class="marginLeftSml">Javascript</span>
                            </label>
                            <label class="disFlexCenter marginLeft">
                                <div class="checkbox">
                                    <input type="checkbox">
                                    <div class="box"></div>
                                </div>
                                <span class="marginLeftSml">HTML</span>
                            </label>
                            <label class="disFlexCenter marginLeft">
                                <div class="checkbox">
                                    <input type="checkbox">
                                    <div class="box"></div>
                                </div>
                                <span class="marginLeftSml">CSS</span>
                            </label>
                        </div>
                    </li>
                </ul>
                <div class="">
                    <div class="marginBtm">
                        <div class="btn">Submit</div>
                        <div class="btn cancel marginLeft">Cancel</div>
                    </div>
                    <div class="marginBtm">
                        <div class="btn vSrtWid">Submit</div>
                        <div class="btn vSrtWid cancel marginLeft">Cancel</div>
                    </div>
                    <div class="marginBtm">
                        <div class="btn srtWid">Submit</div>
                        <div class="btn srtWid cancel marginLeft">Cancel</div>
                    </div>
                    <div class="marginBtm">
                        <div class="btn smallWid">Submit</div>
                        <div class="btn smallWid cancel marginLeft">Cancel</div>
                    </div>
                    <div class="marginBtm">
                        <div class="btn full marginBtm">Submit</div>
                        <div class="btn full cancel">Cancel</div>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div class="marginBtmSec">
        <div class="paddingBtm borderBtm helveticaMed mainNormal marginBtm">Two Column Form with validation</div>
        <div class="disFlex alignStart">
            <div class="maxWid7">
                <form #userForm="ngForm">
                    <ul class="form flow marginBtmSml">
                        <li>
                            <div class="tag">Name<span class="redColor normal">*</span></div>
                            <input type="text"
                                   name="name"
                                   [(ngModel)]="user.name"
                                   #name="ngModel"
                                   required>
                            <div class="error" *ngIf="!name.valid && name.touched">Please enter name</div>
                        </li>
                        <li>
                            <div class="tag">Email<span class="redColor normal">*</span></div>
                            <input type="email"
                                   email
                                   name="email"
                                   [(ngModel)]="user.email"
                                   #email="ngModel"
                                   required>
                            <div class="error" *ngIf="!email.valid && email.touched">Please enter email</div>
                        </li>
                        <li>
                            <div class="tag">Middle Name<span class="redColor normal">*</span></div>
                            <input type="text"
                                   name="middleName"
                                   [(ngModel)]="user.middleName"
                                   #middleName="ngModel"
                                   required>
                            <div class="error" *ngIf="!middleName.valid && middleName.touched">
                                Please enter middle name
                            </div>
                        </li>
                        <li>
                            <div class="tag">Last Name<span class="redColor normal">*</span></div>
                            <input type="email"
                                   name="lastName"
                                   [(ngModel)]="user.lastName"
                                   #lastName="ngModel"
                                   required>
                            <div class="error" *ngIf="!lastName.valid && lastName.touched">Please enter last name</div>
                        </li>
                        <li class="date">
                            <div class="tag">DOB<span class="redColor normal">*</span></div>
                            <input type="text"
                                   [(ngModel)]="user.dob"
                                   [owlDateTime]="dob"
                                   [owlDateTimeTrigger]="dob"
                                   name="dob"
                                   #dob="ngModel"
                                   (dateTimeChange)="setDOB($event)"
                                   required>
                            <owl-date-time #dob [pickerType]="'calendar'"></owl-date-time>
                            <div class="error" *ngIf="!dob.valid && dob.touched">
                                Please select date of birth
                            </div>
                        </li>
                        <li>
                            <div class="tag">Age<span class="redColor normal">*</span></div>
                            <input type="number"
                                   name="age"
                                   [(ngModel)]="user.age"
                                   #age="ngModel"
                                   required>
                            <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                        </li>
                        <li>
                            <div class="tag">Professional<span class="redColor normal">*</span></div>
                            <div class="dropDown">
                                <div class="head" data-init="0">
                                    <input class="headTitle"
                                           placeholder="Select"
                                           type="text"
                                           name="professional"
                                           [(ngModel)]="user.professional"
                                           #professional="ngModel"
                                           readonly
                                           required>
                                </div>
                                <ul class="list">
                                    <li (click)="user.professional= 'St.Engineer'">St.Engineer</li>
                                    <li (click)="user.professional= 'Business'">Business</li>
                                    <li (click)="user.professional= 'CA'">CA</li>
                                </ul>
                            </div>
                            <div class="error" *ngIf="!professional.valid && professional.touched">
                                Please select professional
                            </div>
                        </li>
                        <li>
                            <div class="tag">Languages Known<span class="redColor normal">*</span></div>
                            <div class="multiSelect" appMultiSelect (getValues)="getLanguagesKnown($event)">
                                <div class="head" data-init="0">
                                    <input class="headTitle"
                                           placeholder="Select"
                                           type="text"
                                           name="languages"
                                           #languages="ngModel"
                                           ngModel
                                           readonly>
                                </div>
                                <ul class="list">
                                    <li *ngFor="let lang of completedLanguages">
                                        <label class="disFlexCenter">
                                            <div class="checkbox">
                                                <input type="checkbox"
                                                       [value]="lang.name"
                                                       name="knownLanguages"
                                                       (change)="pushOrPullIntoArray(lang.name, user.languages)">
                                                <div class="box"></div>
                                            </div>
                                            <div class="listName marginLeftSml">{{lang.name}}</div>
                                        </label>
                                    </li>
                                </ul>
                            </div>
                            <div class="error" *ngIf="user.languages.length === 0 && languages.touched">
                                Please select at least one languages
                            </div>
                        </li>
                        <li>
                            <div class="tag marginBtmSml">Select gender<span class="redColor normal">*</span></div>
                            <div class="disFlexCenter">
                                <label class="disFlexCenter">
                                    <div class="radio">
                                        <input
                                            type="radio"
                                            value="Male"
                                            name="gender"
                                            [(ngModel)]="user.gender" required>
                                        <div class="box"></div>
                                    </div>
                                    <span class="marginLeftSml">Male</span>
                                </label>
                                <label class="disFlexCenter marginLeft">
                                    <div class="radio">
                                        <input
                                            type="radio"
                                            value="Female"
                                            name="gender"
                                            [(ngModel)]="user.gender" required>
                                        <div class="box"></div>
                                    </div>
                                    <span class="marginLeftSml">Female</span>
                                </label>
                            </div>
                        </li>
                        <li>
                            <div class="tag marginBtmSml">Completed<span class="redColor normal">*</span></div>
                            <div class="disFlexCenter">
                                <label class="disFlexCenter marginRgt" *ngFor="let lang of completedLanguages">
                                    <div class="checkbox">
                                        <input type="checkbox"
                                               [value]="lang.name"
                                               name="completed"
                                               (change)="pushOrPullIntoArray(lang.name, user.completed)">
                                        <div class="box"></div>
                                    </div>
                                    <span class="marginLeftSml">{{lang.name}}</span>
                                </label>
                            </div>
                            <div class="note smallest marginTopSml lightFonts">Note: You must select atleast one</div>
                        </li>
                        <li class="full">
                            <div class="tag">Comment</div>
                            <textarea placeholder="Please enter your comment"
                                      name="comment"
                                      #comment="ngModel"
                                      [(ngModel)]="user.comment"
                                      required></textarea>
                            <div class="error" *ngIf="!comment.valid && comment.touched">Please enter comment</div>
                        </li>
                    </ul>
                    <div class="">
                        <div class="shortBtns">
                            <button class="btn vSrtWid"
                                    [disabled]="
                                    !userForm['valid'] ||
                                     user.completed.length === 0 ||
                                     user.languages.length === 0"
                                    (click)="getFormData(userForm)">
                                Submit
                            </button>
                            <div class="btn vSrtWid cancel marginLeft">Cancel</div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="marginLeft">{{user | json}}</div>
        </div>
    </div>

    <div class="">
        <div class="paddingBtm borderBtm helveticaMed mainNormal marginBtm">File Upload</div>
        <div class="maxWid5">
            <form>
                <ul class="form marginBtm">
                    <li>
                        <div class="tag">Upload</div>
                        <div class="uploadBtn">
                            <div class="uploadControl">
                                <input-file fileLimit="1"
                                            name="upload"
                                            [iconFile]="'a'"
                                            [fileLimit]="300"
                                            [(ngModel)]="uploaded.img"
                                            (acceptedFile)="getImageUpload($event)"
                                >
                                </input-file>
                            </div>
                            <div class="mask">Upload Image</div>
                        </div>
                    </li>
                </ul>


                <div class="paddingTB marginBtmSec" style="overflow: auto">
                    <div class="smallest marginBtmSml">Uploaded images</div>
                    {{uploaded | json}}
                </div>

                <div class="btn" (click)="deleteImg()">Delete uploaded images</div>
            </form>
        </div>
    </div>
</div>
